
function f = ObjFun(x)

%%%%%
% x = [k0, w, alpha_0, ..., alpha_{J-1}]; x is J+2 by 1;
%
% Returns a J+2 by 1 vector
%%%%%

global J d cStar NStar vStar thetaY thetaL beta yStar nStar muStar

kStar(1) = x(1);
wStar = x(2);
yyy(1:J) = cumsum(x(3:J+2).^2);
alphaStar(1:J) = d + (1-d) * yyy(1:J)./(.2+yyy(1:J));
alphaStar(J+1) = 1 ;

newsys;


f1 = wStar - u2(cStar, 1-NStar)/u1(cStar, 1-NStar);

f2 = zeros(J, 1) ;

    for j = 0:J-1
        f2(j+1) = vStar(j+1) - thetaY*thetaL*beta*(yStar(j+1) -...
            wStar*nStar(j+1) - alphaStar(j+1)*iStar(j+1) + ...
            alphaStar(j+1)*vStar(1) + (1 - alphaStar(j+1))*vStar(j+2)...
            - wStar*R(alphaStar(j+1)));
    end
f3=muStar(1)-1;
f = [ f1 ; f2; f3] ;
end