


%%% shocks:
Sigma = zeros(size(N)) ;
Sigma(1,1) = 0.0134^2 ;
sqrtSigma = zeros(size(N)) ;
sqrtSigma(1,1) = sqrt(Sigma(1,1)) ;

numbersimul = 100 ;
Lengthsimul = 200 ;

totalsize = size(N,2)+size(M,1) ;
sizestate = size(N,2) ;


    COVKEEP = zeros(4) ;

for n=1:numbersimul
    X = zeros(Lengthsimul+1,totalsize) ;
    epso = sqrtSigma*randn(sizestate,Lengthsimul+1) ;
    eps = zeros(sizestate,Lengthsimul+1) ;
    eps(1:sizestate,1:Lengthsimul+1) = epso ;
    X(1,1:sizestate) = eps(:,1)';
    
    for m=2:Lengthsimul+1
        X(m,1:sizestate)=(N*X(m-1,1:sizestate)'+eps(:,m))';
        X(m,sizestate+1:totalsize)=(M*X(m,1:sizestate)')';
    end
    %%%    XG=X(2:Lengthsimul+1,:)-X(1:Lengthsimul,:);
    
        ZZZ = [ hpfilty(X(2:end,indexTheta)'),hpfilty(X(2:end,indexK)'),hpfilty(X(1:end-1,indexIA)'), hpfilty(X(1:end-1,indexYA)') ]  ;
        COVKEEP=COVKEEP+1/numbersimul*cov(ZZZ);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Some simple BC Statistics %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

COVKEEP = 100*COVKEEP;

STDMAT = zeros(4);
for i=1:length(COVKEEP)
    STDMAT(i,i)=sqrt(COVKEEP(i,i));
end
for i=1:length(COVKEEP)
    for j=1:length(COVKEEP)
        if i~=j
            STDMAT(i,j) = COVKEEP(i,j)/sqrt(COVKEEP(i,i)*COVKEEP(j,j)) ;
        end
    end
end


    fmt = ' %10.2f ';
    disp( ' std dev and correl of Theta,K, IA, YA (HP filtered) ' )
    row={'Theta0 ';'K0';'IA';'YA'};
    head={'         Theta0','        k0','     IA','  YA'};
    texprint(STDMAT,fmt,head,row)

